%{?scl:%scl_package mcollective-nrpe-client}
%{!?scl:%global pkg_name %{name}}

Summary: Agent to query NRPE commands via MCollective
Name: %{?scl_prefix}mcollective-nrpe-client
Version: 3.0.2
Release: 1%{?dist}
License: ASL 2.0
URL: http://projects.puppetlabs.com/projects/mcollective-plugins/wiki
Vendor: Puppet Labs
Packager: R.I.Pienaar
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-nrpe-client-3.0.2.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}mcollective-common >= 2.2.1
Requires: %{?scl_prefix}mcollective-nrpe-common >= 3.0.2

%description
Agent to query NRPE commands via MCollective

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/application
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/aggregate

%{__install} -m0644 usr/libexec/mcollective/mcollective/application/nrpe.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/application/nrpe.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/aggregate/nagios_states.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/aggregate/nagios_states.rb

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/application/nrpe.rb
%{_libexecdir}/mcollective/mcollective/aggregate/nagios_states.rb

%changelog
* Wed Jan 16 2013 R.I.Pienaar - 3.0.2-1
- Built Package mcollective-nrpe-client
